Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## devisor2.grid.backend
Class GridTransformation

    java.lang.Object
      devisor2.grid.backend.GridTransformation

public class GridTransformation
extends java.lang.Object

Due to some unsolvable problem applying affine transformations to circles, we decided to create our own Transformation class. It basically holds an attribute of type AffineTransform (a matrix representing the transformation in homogenous coordinates) and additionally all transformation parameters. Note: all parameters are measured in WORLD COORDINATES!

Constructor Summary
`GridTransformation(java.awt.geom.AffineTransform matrix, double angle, double scaleX, double scaleY, int translateX, int translateY, int anchorX, int anchorY)` sets all attributes to the given parameters

Method Summary
`int` | `getAnchorX()`
`int` | `getAnchorY()`
`double` | `getAngle()`
`java.awt.geom.AffineTransform` | `getMatrix()`
`double` | `getScaleX()`
`double` | `getScaleY()`
`int` | `getTranslateX()`
`int` | `getTranslateY()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridTransformation

    public GridTransformation(java.awt.geom.AffineTransform matrix,
                              double angle,
                              double scaleX,
                              double scaleY,
                              int translateX,
                              int translateY,
                              int anchorX,
                              int anchorY)

  sets all attributes to the given parameters

Method Detail

### getMatrix

    public java.awt.geom.AffineTransform getMatrix()

### getAngle

    public double getAngle()

### getScaleX

    public double getScaleX()

### getScaleY

    public double getScaleY()

### getTranslateX

    public int getTranslateX()

### getTranslateY

    public int getTranslateY()

### getAnchorX

    public int getAnchorX()

### getAnchorY

    public int getAnchorY()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD